<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: フォント</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>フォント<br/>
<small>
[<a class="el" href="group__m17nGUI.html">GUI API</a>]</small>
</h1>
<p>フォントオブジェクト.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>型定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントの型宣言.  <a href="#gace14a93b58bd3cd143f267101f805b9d"></a><br/></td></tr>
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaefd3aca05f30fe665fe47854012688e7">mfont</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">新しいフォントを作る.  <a href="#gaefd3aca05f30fe665fe47854012688e7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga370ca70e1fc0782bda4c47b77b17d4c6">mfont_parse_name</a> (const char *name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> format)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォント名からフォントを作る.  <a href="#ga370ca70e1fc0782bda4c47b77b17d4c6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga10b60c3a89c89494f2129941c28eeca2">mfont_unparse_name</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> format)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントからフォント名を作る.  <a href="#ga10b60c3a89c89494f2129941c28eeca2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga9c27528cb4a68b6c7f845ef2b98b0f3c">mfont_copy</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントのコピーを作る.  <a href="#ga9c27528cb4a68b6c7f845ef2b98b0f3c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gad4d783b9329404d63cfdf43bbd247911">mfont_get_prop</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントのプロパティの値を得る.  <a href="#gad4d783b9329404d63cfdf43bbd247911"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga2104516081a823784c1b56dcb3011237">mfont_put_prop</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントのプロパティに値を設定する.  <a href="#ga2104516081a823784c1b56dcb3011237"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaf8c26835d0c41a0f63f2ad1e09b2cb88">mfont_selection_priority</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォント選択の優先度を返す.  <a href="#gaf8c26835d0c41a0f63f2ad1e09b2cb88"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gacc9d2fab3fd8c4a2ddce5cf478d86229">mfont_set_selection_priority</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> *keys)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォント選択優先度を設定する.  <a href="#gacc9d2fab3fd8c4a2ddce5cf478d86229"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga33ec3560c126987a5a63130737849ea2">mfont_find</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *spec, int *score, int max_size)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントを探す.  <a href="#ga33ec3560c126987a5a63130737849ea2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gace78101b0ce5a51b3d6058ce4c0f2b82">mfont_set_encoding</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> encoding_name, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> repertory_name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントのエンコーディングを設定する.  <a href="#gace78101b0ce5a51b3d6058ce4c0f2b82"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaa042ce71ba7811ef9374fd2a58e23e7f">mfont_name</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォント名からフォントを作る.  <a href="#gaa042ce71ba7811ef9374fd2a58e23e7f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga9ac6f64a37fd3b6d59a1d7ffd675dc7e">mfont_from_name</a> (const char *name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントからフォント名を作る.  <a href="#ga9ac6f64a37fd3b6d59a1d7ffd675dc7e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga50dc0617125f859540f03f1efd8aaa14">mfont_resize_ratio</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントのリサイズ情報を得る  <a href="#ga50dc0617125f859540f03f1efd8aaa14"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga48ecb15f6d6ea751c32b7bd2802197e0">mfont_list</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, int maxnum)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントのリストを得る  <a href="#ga48ecb15f6d6ea751c32b7bd2802197e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga7de45bffe64304ddddfe29f6c1a209f6">mfont_list_family_names</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gac579c026f0165e5b9b9a255995162f35">mfont_check</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *fontset, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> script, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> language, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga33a65ab6f61909ba85dd93ee43835f0a">mfont_match_p</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *spec)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga209b13afe6907de28d1fad619ad354d7">mfont_open</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga35748de25dce8fe94e765d913d7f674a">mfont_encapsulate</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> data_type, void *data)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga52df122a9924755823427845652d1306">mfont_close</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga0cc7b165764f76eebb58583b06220e8a">mfont_freetype_path</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントファイルとフォントファイルを含むディレクトリのリスト.  <a href="#ga0cc7b165764f76eebb58583b06220e8a"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数: フォントプロパティを指定する定義済みシンボル</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrp3ef4fbe6d32a62633b49affca3131b30"></a> </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5">Mfoundry</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">開発元を指定するフォントプロパティのキー.  <a href="#gaaf47ff596e3d9768b214a039014b6ea5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500">Mfamily</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ファミリを指定するフォントプロパティのキー.  <a href="#gab297101760f7573ab33b846ccbda7500"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308">Mweight</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">太さを指定するフォントプロパティのキー.  <a href="#ga748212149a23eda2e6225ed121305308"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86">Mstyle</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">スタイルを指定するフォントプロパティのキー.  <a href="#ga4a3a457f1c52fb783809b94366a34d86"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07">Mstretch</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">幅を指定するフォントプロパティのキー.  <a href="#ga9016e01983ec22fc8e1255629e337b07"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga00bea74da7de4bf0b94de59f6b44d1e9">Madstyle</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">adstyle を指定するフォントプロパティのキー.  <a href="#ga00bea74da7de4bf0b94de59f6b44d1e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gad72f8b1c8e8eca761d4bfbc7abb56e25">Mspacing</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">spacing を指定するフォントプロパティのキー.  <a href="#gad72f8b1c8e8eca761d4bfbc7abb56e25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gab8c5e8d3685a530e2ae45f3b8a21ae76">Mregistry</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">レジストリを指定するフォントプロパティのキー.  <a href="#gab8c5e8d3685a530e2ae45f3b8a21ae76"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60">Msize</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">サイズを指定するフォントプロパティのキー.  <a href="#ga072ce0799f7766597e4d3028b70fef60"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga8a615da3d1be5e23ca2d4cc02496dc97">Motf</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gacfad1cf7295887580fb3d96fc5e7bf4c">Mfontfile</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントファイルを指定するフォントプロパティのキー.  <a href="#gacfad1cf7295887580fb3d96fc5e7bf4c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gab4a821ee20cc5855371b31a4a0749c06">Mresolution</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">解像度を指定するフォントプロパティのキー.  <a href="#gab4a821ee20cc5855371b31a4a0749c06"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga99d4189483ab20c0c91de2693c62f073">Mmax_advance</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gae72b66ecbfdf5a117614f76b694c5a34">Mfontconfig</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"fontconfig" という名前を持つシンボル.  <a href="#gae72b66ecbfdf5a117614f76b694c5a34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded">Mx</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"x" という名前を持つシンボル.  <a href="#ga61aefaf21f63323506a84efa8dae6ded"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#ga49214e506ef5cecc1e0ef233f22e5491">Mfreetype</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"freetype" という名前を持つシンボル.  <a href="#ga49214e506ef5cecc1e0ef233f22e5491"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFont.html#gaaf3238f7c80f54f971f8a5506d90c97a">Mxft</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">"xft" という名前を持つシンボル.  <a href="#gaaf3238f7c80f54f971f8a5506d90c97a"></a><br/></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>フォントオブジェクト. </p>
<p>m17n GUI API はフォントを <code>MFont</code> 型のオブジェクトとして表現する。 フォントは <em>フォントプロパティ</em> を持つことができる。他のタイプのプ ロパティ同様、フォントプロパティはキーと値からなり、キーは以下のシ ンボルのいずれかである。</p>
<p><code>Mfoundry</code>, <code>Mfamily</code>, <code>Mweight</code>, <code>Mstyle</code>, <code>Mstretch</code>, <code>Madstyle</code>, <code>Mregistry</code>, <code>Msize</code>, <code>Mresolution</code>, <code>Mspacing</code> </p>
<p>フォントプロパティのキーが <code>Msize</code> あるいは <code>Mresolution</code> の場合、値は整数値であり、キーがそれ以外の場合、値はシンボルである。</p>
<p>「フォント F のフォントプロパティのうちキーが <code>Mxxx</code> であるもの」のことを簡単に「F の xxx プロパティ」と呼ぶことがある。</p>
<p>foundry プロパティの値は、adobe, misc 等のフォントの開発元情報を示すシンボルである。</p>
<p>family プロパティの値は、times, helvetica 等のフォントファミリーを示すシンボルである。</p>
<p>weight プロパティの値は、normal, bold 等の太さに関する情報を示すシンボルである。</p>
<p>style プロパティの値は、normal, italic 等のスタイルに関する情報を示すシンボルである。</p>
<p>stretch プロパティの値は、normal, semicondensed 等の文字幅に関する情報を示すシンボルである。</p>
<p>adstyle プロパティの値は、serif, sans-serif 等の抽象的なフォントファミリーに関する情報を示すシンボルである。</p>
<p>registry プロパティの値は、iso10646, iso8895-1 等のレジストリ情報を示すシンボルである。</p>
<p>size プロパティの値は、フォントのデザインサイズを表わす整数値であり、 単位は1/10 ポイントである。</p>
<p>resolution プロパティの値は、想定されているデバイスの解像度を表わす 整数値であり、単位はdots per inch (dpi) である。</p>
<p>type プロパティの値は、フォントドライバを指示し、現在 Mx もしくは Mfreetype である。</p>
<p>m17n ライブラリはフォントオブジェクトを２つの目的で用いている。アプ リケーションプログラムからフォントの指定を受け取る目的と、アプリケー ションプログラムに利用可能なフォントを提示する目的である。アプリケー ションプログラムに対して提示を行う際には、フォントプロパティはすべ て具体的な値を持つ。</p>
<p>m17n ライブラリは Window システムフォント、FreeTypeフォント、 OpenTypeフォントの３種類をサポートしている。</p>
<ul>
<li>
<p class="startli">Window システムフォント</p>
<p>m17n X ライブラリは、X サーバと X フォントサーバが取り扱う全てのフォントをサポートする。 XLFD の各フィールドとフォントプロパティの対応は以下の通り。この表にないフィールドは無視される。</p>
<div class="fragment"><pre class="fragment">
    XLFD フィールド                             プロパティ
    ---------------                             --------
    FOUNDRY                                     foundry
    FAMILY_NAME                                 family
    WEIGHT_NAME                                 weight
    SLANT                                       style
    SETWIDTH_NAME                               stretch
    ADD_STYLE_NAME                              adstyle
    PIXEL_SIZE                                  size
    RESOLUTION_Y                                resolution
    CHARSET_REGISTRY-CHARSET_ENCODING           registry
</pre></div><p class="endli"></p>
</li>
<li>
<p class="startli">FreeType fonts</p>
<p>m17n ライブラリは、FreeType ライブラリを使うように設定された場合には、 FreeType が扱うすべてのフォントをサポートする。変数 <a class="el" href="group__m17nFont.html#ga0cc7b165764f76eebb58583b06220e8a" title="フォントファイルとフォントファイルを含むディレクトリのリスト...">mfont_freetype_path</a> は m17n ライブラリの設定と環境変数 <code>M17NDIR</code> に応じて初期化される。詳細は変数の説明を参照のこと。</p>
<p>もし m17n ライブラリが fontconfig ライブラリを使うように設定された場合には、 <a class="el" href="group__m17nFont.html#ga0cc7b165764f76eebb58583b06220e8a" title="フォントファイルとフォントファイルを含むディレクトリのリスト...">mfont_freetype_path</a> に加えて、 fontconfig で使用可能なフォントもすべてサポートされる。</p>
<p>FreeType フォントのファミリ名は family プロパティに対応する。 FreeType フォントのスタイル名は、下の表のように weight, style, stretch プロパティに対応する。</p>
<div class="fragment"><pre class="fragment">
    スタイル名          weight  style   stretch
    ----------          ------  -----   -------
    Regular             medium  r       normal
    Italic              medium  i       normal
    Bold                bold    r       normal
    Bold Italic         bold    i       normal
    Narrow              medium  r       condensed
    Narrow Italic       medium  i       condensed
    Narrow Bold         bold    r       condensed
    Narrow Bold Italic  bold    i       condensed
    Black               black   r       normal
    Black Italic        black   i       normal
    Oblique             medium  o       normal
    BoldOblique         bold    o       normal
</pre></div><p>上の表に現われないスタイル名は "Regular" として扱われる。</p>
<p>platform ID と encoding ID の組み合わせが registry プロパティに対応する。たとえばあるフォントが (1 1) という ID の組合せを持てば、 registry プロパティは 1-1 となる。頻繁にあらわれる組合せには以下のような定義済み registry プロパティ が与えられている。</p>
<div class="fragment"><pre class="fragment">
    platform ID         encoding ID     registry プロパティ
    -----------         -----------     -----------------
    0                   3               unicode-bmp
    0                   4               unicode-full
    1                   0               apple-roman
    3                   1               unicode-bmp
    3                   1               unicode-full
</pre></div><p>したがって、二つの組合せ (1 0) 、(3 1) を持つフォントは、それぞれ registry プロパティが 1-0, apple-roman, 3-1, unicode-bmp である４つのフォントオブジェクトに対応する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">OpenType フォント</p>
<p>m17n ライブラリは、FreeType ライブラリと OTF ライブラリを使用するように設定すれば、すべての OpenType フォントをサポートする。実際に利用できるフォントのリストは FreeType フォントの場合と同様に作られる。OpenType フォントを FLT (Font Layout Table) 経由で使用するようフォントセットに指定されており、FLT に OTF 関連のコマンド (たとえば otf:deva) があれば、OTF ライブラリがフォントの OpenType レイアウトテーブルに従って文字列をグリフコード列に変換し、FreeType ライブラリが各グリフのビットマップイメージを提供する。</p>
<p class="endli"></p>
</li>
</ul>
<hr/><h2>型定義</h2>
<a class="anchor" id="gace14a93b58bd3cd143f267101f805b9d"></a><!-- doxytag: member="m17n&#45;gui.h::MFont" ref="gace14a93b58bd3cd143f267101f805b9d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> <a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントの型宣言. </p>
<p><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d" title="フォントの型宣言.">MFont</a> 型はフォント指定用の構造体であり、フォントのプロパティである foundry, family, weight, style, stretch, adstyle, registry, size, resolution に関する情報を含む。</p>
<p>この構造体はフォントセット内のフォントを指定する際と、使用可能なシステムフォントの情報を格納する際の両方に用いられる。</p>
<p>内部構造はアプリケーションプログラムからは見えない。</p>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nFont.html#gaefd3aca05f30fe665fe47854012688e7" title="新しいフォントを作る.">mfont()</a>, <a class="el" href="group__m17nFont.html#ga9ac6f64a37fd3b6d59a1d7ffd675dc7e" title="フォントからフォント名を作る.">mfont_from_name()</a>, <a class="el" href="group__m17nFont.html#ga33ec3560c126987a5a63130737849ea2" title="フォントを探す.">mfont_find()</a>. </dd></dl>

</div>
</div>
<hr/><h2>関数</h2>
<a class="anchor" id="gaefd3aca05f30fe665fe47854012688e7"></a><!-- doxytag: member="font.c::mfont" ref="gaefd3aca05f30fe665fe47854012688e7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a>* mfont </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>新しいフォントを作る. </p>
<p>関数 <a class="el" href="group__m17nFont.html#gaefd3aca05f30fe665fe47854012688e7" title="新しいフォントを作る.">mfont()</a> はプロパティを一切持たない新しいフォントをオブジェクトを作る。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は作ったフォントオブジェクトへのポインタを返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga370ca70e1fc0782bda4c47b77b17d4c6"></a><!-- doxytag: member="font.c::mfont_parse_name" ref="ga370ca70e1fc0782bda4c47b77b17d4c6" args="(const char *name, MSymbol format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a>* mfont_parse_name </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>format</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォント名からフォントを作る. </p>
<p>関数 <a class="el" href="group__m17nFont.html#ga370ca70e1fc0782bda4c47b77b17d4c6" title="フォント名からフォントを作る.">mfont_parse_name()</a> は、フォント名 <b>name</b> から取り出されたプロパティを持つ、新しいフォントオブジェクトを作る。</p>
<p><b>format</b> は <b>name</b> のフォーマットを指定する。<b>format</b> が <a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded" title="&quot;x&quot; という名前を持つシンボル.">Mx</a> であれば、 <b>name</b> は XLFD (X Logical Font Description) に従って解析される。 <b>format</b> が <a class="el" href="group__m17nFont.html#gae72b66ecbfdf5a117614f76b694c5a34" title="&quot;fontconfig&quot; という名前を持つシンボル.">Mfontconfig</a> であれば <b>name</b> は Fontfonfig のフォントテキスト表現に従って解析される。<b>format</b> が <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> であれば、まず XLFD に従って解析され、それに失敗したら Fontconfig に従って解析される。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理が成功すれば <a class="el" href="group__m17nFont.html#ga370ca70e1fc0782bda4c47b77b17d4c6" title="フォント名からフォントを作る.">mfont_parse_name()</a> は新しく作られたフォントへのポインタを返す。そうでなければ <code>NULL</code> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga10b60c3a89c89494f2129941c28eeca2"></a><!-- doxytag: member="font.c::mfont_unparse_name" ref="ga10b60c3a89c89494f2129941c28eeca2" args="(MFont *font, MSymbol format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* mfont_unparse_name </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>format</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントからフォント名を作る. </p>
<p>関数 <a class="el" href="group__m17nFont.html#ga10b60c3a89c89494f2129941c28eeca2" title="フォントからフォント名を作る.">mfont_unparse_name()</a> は フォント名の文字列をフォント <b>font</b> を元に<b>format</b> に従って作る。</p>
<p><b>format</b> は <a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded" title="&quot;x&quot; という名前を持つシンボル.">Mx</a> または <a class="el" href="group__m17nFont.html#gae72b66ecbfdf5a117614f76b694c5a34" title="&quot;fontconfig&quot; という名前を持つシンボル.">Mfontconfig</a> である。 <a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded" title="&quot;x&quot; という名前を持つシンボル.">Mx</a> ならばフォント名は XLFD (X Logical Font Description) に従う。 <a class="el" href="group__m17nFont.html#gae72b66ecbfdf5a117614f76b694c5a34" title="&quot;fontconfig&quot; という名前を持つシンボル.">Mfontconfig</a> ならばフォント名は Fontconfig のフォントテキスト表現に従う。</p>
<dl class="user"><dt><b>戻り値: </b></dt><dd>この関数は新たにアロケートしたフォント名の文字列を返す。文字列は、ユーザが free() によって明示的に解放しない限り解放されない。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga9c27528cb4a68b6c7f845ef2b98b0f3c"></a><!-- doxytag: member="font.c::mfont_copy" ref="ga9c27528cb4a68b6c7f845ef2b98b0f3c" args="(MFont *font)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a>* mfont_copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントのコピーを作る. </p>
<p>関数 Mfont_copy() はフォント <b>font</b> のコピーを作り、それを返す。 </p>

</div>
</div>
<a class="anchor" id="gad4d783b9329404d63cfdf43bbd247911"></a><!-- doxytag: member="font.c::mfont_get_prop" ref="gad4d783b9329404d63cfdf43bbd247911" args="(MFont *font, MSymbol key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* mfont_get_prop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントのプロパティの値を得る. </p>
<p>関数 <a class="el" href="group__m17nFont.html#gad4d783b9329404d63cfdf43bbd247911" title="フォントのプロパティの値を得る.">mfont_get_prop()</a> はフォント <b>font</b> のプロパティのうち、キーが <b>key</b> であるものの値を返す。<b>key</b> は以下のシンボルのいずれかでなけれ ばならない。</p>
<p><code>Mfoundry</code>, <code>Mfamily</code>, <code>Mweight</code>, <code>Mstyle</code>, <code>Mstretch</code>, <code>Madstyle</code>, <code>Mregistry</code>, <code>Msize</code>, <code>Mresolution</code>, <code>Mspacing</code>.</p>
<dl class="user"><dt><b>戻り値: </b></dt><dd><b>key</b> が <code>Mfoundry</code>, <code>Mfamily</code>, <code>Mweight</code>, <code>Mstyle</code>, <code>Mstretch</code>, <code>Madstyle</code>, <code>Mregistry</code>, <code>Mspacing</code> のいずれかであれば、 相当する値をシンボルとして返す。フォントがそのプロパティを持たない 場合には<code>Mnil</code> を返す。<b>key</b> が <code>Msize</code> あるいは <code>Mresolution</code> の 場合には、相当する値をは整数値として返す。フォントがそのプロパティ を持たない場合には 0 を返す。<b>key</b> がそれ以外のものであれば、<code>NULL</code> を返し、外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga2104516081a823784c1b56dcb3011237"></a><!-- doxytag: member="font.c::mfont_put_prop" ref="ga2104516081a823784c1b56dcb3011237" args="(MFont *font, MSymbol key, void *val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mfont_put_prop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>val</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントのプロパティに値を設定する. </p>
<p>関数 <a class="el" href="group__m17nFont.html#ga2104516081a823784c1b56dcb3011237" title="フォントのプロパティに値を設定する.">mfont_put_prop()</a> は、フォント <b>font</b> のキーが<b>key</b> であるプロパ ティの値を <b>val</b> に設定する。<b>key</b> は以下のシンボルのいずれかである。</p>
<p><code>Mfoundry</code>, <code>Mfamily</code>, <code>Mweight</code>, <code>Mstyle</code>, <code>Mstretch</code>, <code>Madstyle</code>, <code>Mregistry</code>, <code>Msize</code>, <code>Mresolution</code>.</p>
<p><b>key</b> が <code>Msize</code> か <code>Mresolution</code> であれば <b>val</b> は整数値でなくては らない。それ以外の場合、<b>val</b> はプロパティ値の名前のシンボルでなくて はならない。ただしもしその名前が "nil" の場合は、名前が "Nil" のシ ンボルでなくてはならない。 </p>

</div>
</div>
<a class="anchor" id="gaf8c26835d0c41a0f63f2ad1e09b2cb88"></a><!-- doxytag: member="font.c::mfont_selection_priority" ref="gaf8c26835d0c41a0f63f2ad1e09b2cb88" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>* mfont_selection_priority </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォント選択の優先度を返す. </p>
<p>関数 <a class="el" href="group__m17nFont.html#gaf8c26835d0c41a0f63f2ad1e09b2cb88" title="フォント選択の優先度を返す.">mfont_selection_priority()</a> は 6 つのシンボルからなる配列を作って返す。 配列の要素は、以下のフォントプロパティのキーを優先度順に並べたものである。</p>
<p><code>Mfamily</code>, <code>Mweight</code>, <code>Mstyle</code>, <code>Mstretch</code>, <code>Madstyle</code>, <code>Msize</code>.</p>
<p>m17n ライブラリはこの配列に従って、最も合致するフォントを選択する。 目的のフォントと、それぞれ違うプロパティの値が合致しないフォントがあった場合、優先度の低いプロパティの値が合致しないフォント（優先度の高いプロパティの値が合致しているフォント）が選択される。 </p>

</div>
</div>
<a class="anchor" id="gacc9d2fab3fd8c4a2ddce5cf478d86229"></a><!-- doxytag: member="font.c::mfont_set_selection_priority" ref="gacc9d2fab3fd8c4a2ddce5cf478d86229" args="(MSymbol *keys)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mfont_set_selection_priority </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> *&nbsp;</td>
          <td class="paramname"> <em>keys</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォント選択優先度を設定する. </p>
<p>関数 <a class="el" href="group__m17nFont.html#gacc9d2fab3fd8c4a2ddce5cf478d86229" title="フォント選択優先度を設定する.">mfont_set_selection_priority()</a> は、6つのシンボルの配列 <b>keys</b> にしたがってフォント選択優先度を設定する。配列は以下の各要素を適切 な順番で並べたものである。</p>
<p><code>Mfamily</code>, <code>Mweight</code>, <code>Mstyle</code>, <code>Mstretch</code>, <code>Madstyle</code>, <code>Msize</code>.</p>
<p>詳細は関数 <a class="el" href="group__m17nFont.html#gaf8c26835d0c41a0f63f2ad1e09b2cb88" title="フォント選択の優先度を返す.">mfont_selection_priority()</a> の説明を参照のこと。 </p>

</div>
</div>
<a class="anchor" id="ga33ec3560c126987a5a63130737849ea2"></a><!-- doxytag: member="font.c::mfont_find" ref="ga33ec3560c126987a5a63130737849ea2" args="(MFrame *frame, MFont *spec, int *score, int max_size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a>* mfont_find </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td>
          <td class="paramname"> <em>frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>spec</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>score</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>max_size</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントを探す. </p>
<p>関数 <a class="el" href="group__m17nFont.html#ga33ec3560c126987a5a63130737849ea2" title="フォントを探す.">mfont_find()</a> は、フレーム <b>frame</b> 上でフォント定義 <b>spec</b> にもっとも合致する利用可能なフォントへのポインタを返す。</p>
<p><b>score</b> は NULL であるか、見つかったフォントが <b>spec</b> にどれほど合っているかを示すスコアを保存する場所へのポインタである。 スコアが小さいほど良く合っていることを意味する。 </p>

</div>
</div>
<a class="anchor" id="gace78101b0ce5a51b3d6058ce4c0f2b82"></a><!-- doxytag: member="font.c::mfont_set_encoding" ref="gace78101b0ce5a51b3d6058ce4c0f2b82" args="(MFont *font, MSymbol encoding_name, MSymbol repertory_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mfont_set_encoding </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>encoding_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>repertory_name</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントのエンコーディングを設定する. </p>
<p>関数 <a class="el" href="group__m17nFont.html#gace78101b0ce5a51b3d6058ce4c0f2b82" title="フォントのエンコーディングを設定する.">mfont_set_encoding()</a> はフォント <b>font</b> のエンコーディング情報を設定する。</p>
<p><b>encoding_name</b> はフォントと同じエンコーディングを持つ文字セットを示すシンボルである。</p>
<p><b>repertory_name</b> は <code>Mnil</code> であるか、フォントと同じエンコーディングを持つ文字セットを示すシンボルである。 <code>Mnil</code> であれば、個々の文字がそのフォントでサポートされているかどうかは、各々のフォントドライバに問い合わせる。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理が成功すればこの関数は 0 を返す。そうでなければ -1 を返し、外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。 </dd></dl>

</div>
</div>
<a class="anchor" id="gaa042ce71ba7811ef9374fd2a58e23e7f"></a><!-- doxytag: member="font.c::mfont_name" ref="gaa042ce71ba7811ef9374fd2a58e23e7f" args="(MFont *font)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* mfont_name </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォント名からフォントを作る. </p>
<p>この関数は廃止予定である。 <a class="el" href="group__m17nFont.html#ga10b60c3a89c89494f2129941c28eeca2" title="フォントからフォント名を作る.">mfont_unparse_name()</a> を使用のこと。 </p>

</div>
</div>
<a class="anchor" id="ga9ac6f64a37fd3b6d59a1d7ffd675dc7e"></a><!-- doxytag: member="font.c::mfont_from_name" ref="ga9ac6f64a37fd3b6d59a1d7ffd675dc7e" args="(const char *name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a>* mfont_from_name </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントからフォント名を作る. </p>
<p>これは関数は廃止予定である。 <a class="el" href="group__m17nFont.html#ga370ca70e1fc0782bda4c47b77b17d4c6" title="フォント名からフォントを作る.">mfont_parse_name()</a> を使用のこと。 </p>

</div>
</div>
<a class="anchor" id="ga50dc0617125f859540f03f1efd8aaa14"></a><!-- doxytag: member="font.c::mfont_resize_ratio" ref="ga50dc0617125f859540f03f1efd8aaa14" args="(MFont *font)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mfont_resize_ratio </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントのリサイズ情報を得る </p>
<p>関数 mfont_resize_ratio は m17n データベース &lt;font, reisize&gt; を検索し、フォント FONT のリサイズの比率（パーセンテージ） を返す。たとえば返す値が 150 であれば、m17n ライブラリは指定されたサイズの 1.5 倍のフォントを使用することを意味する。 </p>

</div>
</div>
<a class="anchor" id="ga48ecb15f6d6ea751c32b7bd2802197e0"></a><!-- doxytag: member="font.c::mfont_list" ref="ga48ecb15f6d6ea751c32b7bd2802197e0" args="(MFrame *frame, MFont *font, MSymbol language, int maxnum)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mfont_list </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td>
          <td class="paramname"> <em>frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>maxnum</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントのリストを得る </p>
<p>関数 <a class="el" href="group__m17nFont.html#ga48ecb15f6d6ea751c32b7bd2802197e0" title="フォントのリストを得る">mfont_list()</a> はフレーム <b>frame</b> で利用可能なフォントのリストを 返す。<b>font</b> が NULL でなければ、<b>font</b> と合致する利用可能なフォント のリストを返す。<b>language</b> が <code>Mnil</code> でなければ、<b>language</b> をサポー トする利用可能なフォントのリストを返す。<b>maxnum</b> は、0 より大きい場 合には、返すフォントの数の上限である。</p>
<p>ただし、引数 <b>language</b> は旧版との整合性のためだけにあり、その使用は 勧められない。フォントの <a class="el" href="group__m17nMtext.html#ga32374f3750874ea0142af8dac831ab25">Mlanguage</a> プロパティを使うべきである。も し <b>font</b> がすでにこのプロパティを持っていたら、引数 <b>language</b> は無</p>
<dl class="user"><dt><b>戻り値: </b></dt><dd>この関数はキーがフォントファミリ名であり値が MFont オブジェクトへの ポインタであるようなplist を返す。plist は <a class="el" href="group__m17nObject.html#ga248ba287a615a2cf3cdb99c13275453b" title="管理下オブジェクトの参照数を 1 減らす.">m17n_object_unref()</a> で 解放する必要がある。フォントが見つからなければNULL を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga7de45bffe64304ddddfe29f6c1a209f6"></a><!-- doxytag: member="font.c::mfont_list_family_names" ref="ga7de45bffe64304ddddfe29f6c1a209f6" args="(MFrame *frame)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* mfont_list_family_names </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td>
          <td class="paramname"> <em>frame</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gac579c026f0165e5b9b9a255995162f35"></a><!-- doxytag: member="font.c::mfont_check" ref="gac579c026f0165e5b9b9a255995162f35" args="(MFrame *frame, MFontset *fontset, MSymbol script, MSymbol language, MFont *font)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mfont_check </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td>
          <td class="paramname"> <em>frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="m17n-gui_8h.html#a4c949033ca30d88fb8775caeb4134a1b">MFontset</a> *&nbsp;</td>
          <td class="paramname"> <em>fontset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>script</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>language</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga33a65ab6f61909ba85dd93ee43835f0a"></a><!-- doxytag: member="font.c::mfont_match_p" ref="ga33a65ab6f61909ba85dd93ee43835f0a" args="(MFont *font, MFont *spec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mfont_match_p </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>spec</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga209b13afe6907de28d1fad619ad354d7"></a><!-- doxytag: member="font.c::mfont_open" ref="ga209b13afe6907de28d1fad619ad354d7" args="(MFrame *frame, MFont *font)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a>* mfont_open </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td>
          <td class="paramname"> <em>frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga35748de25dce8fe94e765d913d7f674a"></a><!-- doxytag: member="font.c::mfont_encapsulate" ref="ga35748de25dce8fe94e765d913d7f674a" args="(MFrame *frame, MSymbol data_type, void *data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a>* mfont_encapsulate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td>
          <td class="paramname"> <em>frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>data_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>data</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga52df122a9924755823427845652d1306"></a><!-- doxytag: member="font.c::mfont_close" ref="ga52df122a9924755823427845652d1306" args="(MFont *font)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mfont_close </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>変数</h2>
<a class="anchor" id="gaaf47ff596e3d9768b214a039014b6ea5"></a><!-- doxytag: member="font.c::Mfoundry" ref="gaaf47ff596e3d9768b214a039014b6ea5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5">Mfoundry</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>開発元を指定するフォントプロパティのキー. </p>
<p>変数 <a class="el" href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5" title="開発元を指定するフォントプロパティのキー.">Mfoundry</a> は <code>"foundry"</code> という名前を持つシンボルであり、フォントプロパティとフェースプロパティのキーとして用いられる。 値は、フォントの開発元名を名前として持つシンボルである。 </p>

</div>
</div>
<a class="anchor" id="gab297101760f7573ab33b846ccbda7500"></a><!-- doxytag: member="font.c::Mfamily" ref="gab297101760f7573ab33b846ccbda7500" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500">Mfamily</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>ファミリを指定するフォントプロパティのキー. </p>
<p>変数 <a class="el" href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500" title="ファミリを指定するフォントプロパティのキー.">Mfamily</a> は <code>"family"</code> という名前を持つシンボルであり、フォントプロパティとフェースプロパティのキーとして用いられる。 値は、フォントのファミリ名を名前として持つシンボルである。 </p>

</div>
</div>
<a class="anchor" id="ga748212149a23eda2e6225ed121305308"></a><!-- doxytag: member="font.c::Mweight" ref="ga748212149a23eda2e6225ed121305308" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308">Mweight</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>太さを指定するフォントプロパティのキー. </p>
<p>変数 <a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308" title="太さを指定するフォントプロパティのキー.">Mweight</a> は <code>"weight"</code> という名前を持つシンボルであり、フォントプロパティとフェースプロパティのキーとして用いられる。 値は、フォントの太さ名 ( "medium", "bold" 等) を名前として持つシンボルである。 </p>

</div>
</div>
<a class="anchor" id="ga4a3a457f1c52fb783809b94366a34d86"></a><!-- doxytag: member="font.c::Mstyle" ref="ga4a3a457f1c52fb783809b94366a34d86" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86">Mstyle</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>スタイルを指定するフォントプロパティのキー. </p>
<p>変数 <a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86" title="スタイルを指定するフォントプロパティのキー.">Mstyle</a> は <code>"style"</code> という名前を持つシンボルであり、フォントプロパティとフェースプロパティのキーとして用いられる。 値は、フォントのスタイル名 ("r", "i", "o" 等)を名前として持つシンボルである。 </p>

</div>
</div>
<a class="anchor" id="ga9016e01983ec22fc8e1255629e337b07"></a><!-- doxytag: member="font.c::Mstretch" ref="ga9016e01983ec22fc8e1255629e337b07" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07">Mstretch</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>幅を指定するフォントプロパティのキー. </p>
<p>変数 <a class="el" href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07" title="幅を指定するフォントプロパティのキー.">Mstretch</a> は <code>"stretch"</code> という名前を持つシンボルであり、フォントプロパティとフェースプロパティのキーとして用いられる。 値は、フォントの文字幅名 ( "normal", "condensed" 等)を名前として持つシンボルである。 </p>

</div>
</div>
<a class="anchor" id="ga00bea74da7de4bf0b94de59f6b44d1e9"></a><!-- doxytag: member="font.c::Madstyle" ref="ga00bea74da7de4bf0b94de59f6b44d1e9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#ga00bea74da7de4bf0b94de59f6b44d1e9">Madstyle</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>adstyle を指定するフォントプロパティのキー. </p>
<p>変数 <a class="el" href="group__m17nFont.html#ga00bea74da7de4bf0b94de59f6b44d1e9" title="adstyle を指定するフォントプロパティのキー.">Madstyle</a> は <code>"adstyle"</code> という名前を持つシンボルであり、フォントプロパティとフェースプロパティのキーとして用いられる。 値は、フォントの adstyle 名("serif", "", "sans" 等)を名前として持つシンボルである。 </p>

</div>
</div>
<a class="anchor" id="gad72f8b1c8e8eca761d4bfbc7abb56e25"></a><!-- doxytag: member="font.c::Mspacing" ref="gad72f8b1c8e8eca761d4bfbc7abb56e25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#gad72f8b1c8e8eca761d4bfbc7abb56e25">Mspacing</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>spacing を指定するフォントプロパティのキー. </p>
<p>変数 <a class="el" href="group__m17nFont.html#gad72f8b1c8e8eca761d4bfbc7abb56e25" title="spacing を指定するフォントプロパティのキー.">Mspacing</a> は <code>"spacing"</code> という名前を持つシンボルであり、 フォントプロパティのキーとして用いられる。値は、フォントの spacing 特性を示す名前 ("p", "m" 等)を持つシンボルである。 </p>

</div>
</div>
<a class="anchor" id="gab8c5e8d3685a530e2ae45f3b8a21ae76"></a><!-- doxytag: member="font.c::Mregistry" ref="gab8c5e8d3685a530e2ae45f3b8a21ae76" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#gab8c5e8d3685a530e2ae45f3b8a21ae76">Mregistry</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>レジストリを指定するフォントプロパティのキー. </p>
<p>変数 <a class="el" href="group__m17nFont.html#gab8c5e8d3685a530e2ae45f3b8a21ae76" title="レジストリを指定するフォントプロパティのキー.">Mregistry</a> は <code>"registry"</code> という名前を持つシンボルであり、フォントプロパティとフェースプロパティのキーとして用いられる。 値は、フォントのレジストリ名 ( "iso8859-1", "jisx0208.1983-0" 等) を名前として持つシンボルである。 </p>

</div>
</div>
<a class="anchor" id="ga072ce0799f7766597e4d3028b70fef60"></a><!-- doxytag: member="font.c::Msize" ref="ga072ce0799f7766597e4d3028b70fef60" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60">Msize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>サイズを指定するフォントプロパティのキー. </p>
<p>変数 <a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60" title="サイズを指定するフォントプロパティのキー.">Msize</a> は <code>"size"</code> という名前を持つシンボルであり、フォントプロパティとフェースプロパティのキーとして用いられる。値は、 100 dpi のディスプレイ上でのフォントのデザインサイズを 1/10 ポイント単位で示す整数値である。 </p>

</div>
</div>
<a class="anchor" id="ga8a615da3d1be5e23ca2d4cc02496dc97"></a><!-- doxytag: member="font.c::Motf" ref="ga8a615da3d1be5e23ca2d4cc02496dc97" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#ga8a615da3d1be5e23ca2d4cc02496dc97">Motf</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gacfad1cf7295887580fb3d96fc5e7bf4c"></a><!-- doxytag: member="font.c::Mfontfile" ref="gacfad1cf7295887580fb3d96fc5e7bf4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#gacfad1cf7295887580fb3d96fc5e7bf4c">Mfontfile</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントファイルを指定するフォントプロパティのキー. </p>
<p>変数 <a class="el" href="group__m17nFont.html#gacfad1cf7295887580fb3d96fc5e7bf4c" title="フォントファイルを指定するフォントプロパティのキー.">Mfontfile</a> は <code>"fontfile"</code> という名前を持つシンボルであ り、フォントプロパティのキーとして用いられる。値は、フォントファイ ル名を名前として持つとするシンボルである。 </p>

</div>
</div>
<a class="anchor" id="gab4a821ee20cc5855371b31a4a0749c06"></a><!-- doxytag: member="font.c::Mresolution" ref="gab4a821ee20cc5855371b31a4a0749c06" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#gab4a821ee20cc5855371b31a4a0749c06">Mresolution</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>解像度を指定するフォントプロパティのキー. </p>
<p>変数 <a class="el" href="group__m17nFont.html#gab4a821ee20cc5855371b31a4a0749c06" title="解像度を指定するフォントプロパティのキー.">Mresolution</a> は <code>"resolution"</code> という名前を持つシンボルであり、フォントプロパティとフェースプロパティのキーとして用いられる。 値は、フォントの解像度を dots per inch (dpi) 単位で示す整数値である。 </p>

</div>
</div>
<a class="anchor" id="ga99d4189483ab20c0c91de2693c62f073"></a><!-- doxytag: member="font.c::Mmax_advance" ref="ga99d4189483ab20c0c91de2693c62f073" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#ga99d4189483ab20c0c91de2693c62f073">Mmax_advance</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gae72b66ecbfdf5a117614f76b694c5a34"></a><!-- doxytag: member="font.c::Mfontconfig" ref="gae72b66ecbfdf5a117614f76b694c5a34" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#gae72b66ecbfdf5a117614f76b694c5a34">Mfontconfig</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>"fontconfig" という名前を持つシンボル. </p>
<p>変数 <a class="el" href="group__m17nFont.html#gae72b66ecbfdf5a117614f76b694c5a34" title="&quot;fontconfig&quot; という名前を持つシンボル.">Mfontconfig</a> は関数 <a class="el" href="group__m17nFont.html#ga370ca70e1fc0782bda4c47b77b17d4c6" title="フォント名からフォントを作る.">mfont_parse_name()</a> と <a class="el" href="group__m17nFont.html#ga10b60c3a89c89494f2129941c28eeca2" title="フォントからフォント名を作る.">mfont_unparse_name()</a> の引数として用いられる。 </p>

</div>
</div>
<a class="anchor" id="ga61aefaf21f63323506a84efa8dae6ded"></a><!-- doxytag: member="font.c::Mx" ref="ga61aefaf21f63323506a84efa8dae6ded" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded">Mx</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>"x" という名前を持つシンボル. </p>
<p>変数 <a class="el" href="group__m17nFont.html#ga61aefaf21f63323506a84efa8dae6ded" title="&quot;x&quot; という名前を持つシンボル.">Mx</a> は構造 <a class="el" href="structMDrawGlyph.html" title="グリフの寸法とフォントに関する情報の型宣言.">MDrawGlyph</a> のメンバ &lt;type&gt; の値として用いられ、メンバ &lt;fontp&gt; の型が実際には (XFontStruct *) であることを表す. </p>

</div>
</div>
<a class="anchor" id="ga49214e506ef5cecc1e0ef233f22e5491"></a><!-- doxytag: member="font.c::Mfreetype" ref="ga49214e506ef5cecc1e0ef233f22e5491" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#ga49214e506ef5cecc1e0ef233f22e5491">Mfreetype</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>"freetype" という名前を持つシンボル. </p>
<p>変数 <a class="el" href="group__m17nFont.html#ga49214e506ef5cecc1e0ef233f22e5491" title="&quot;freetype&quot; という名前を持つシンボル.">Mfreetype</a> は構造 <a class="el" href="structMDrawGlyph.html" title="グリフの寸法とフォントに関する情報の型宣言.">MDrawGlyph</a> のメンバ &lt;type&gt; の値として用いられ、メンバ &lt;fontp&gt; の型が実際には FT_Face であることを表す。 </p>

</div>
</div>
<a class="anchor" id="gaaf3238f7c80f54f971f8a5506d90c97a"></a><!-- doxytag: member="font.c::Mxft" ref="gaaf3238f7c80f54f971f8a5506d90c97a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFont.html#gaaf3238f7c80f54f971f8a5506d90c97a">Mxft</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>"xft" という名前を持つシンボル. </p>
<p>変数 <a class="el" href="group__m17nFont.html#gaaf3238f7c80f54f971f8a5506d90c97a" title="&quot;xft&quot; という名前を持つシンボル.">Mxft</a> は構造 <a class="el" href="structMDrawGlyph.html" title="グリフの寸法とフォントに関する情報の型宣言.">MDrawGlyph</a> のメンバ &lt;type&gt; の値として用いられ、メンバ &lt;fontp&gt; の型が実際には (XftFont *) であることを表す。 </p>

</div>
</div>
<a class="anchor" id="ga0cc7b165764f76eebb58583b06220e8a"></a><!-- doxytag: member="font.c::mfont_freetype_path" ref="ga0cc7b165764f76eebb58583b06220e8a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a>* <a class="el" href="group__m17nFont.html#ga0cc7b165764f76eebb58583b06220e8a">mfont_freetype_path</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントファイルとフォントファイルを含むディレクトリのリスト. </p>
<p>変数 <code>mfont_freetype_path</code> は、フォントファイルとフォントファイルを含むディレクトリの plist である。各要素のキーは <code>Mstring</code> であり、値はフォントファイルかディレクトリを示す文字列である。</p>
<p>マクロ <a class="el" href="group__m17nIntro.html#ga66879b35a1fee08b3e5966f6650c39f9" title="m17n ライブラリを初期化する.">M17N_INIT()</a> によって、この変数は m17n データベースと環境変数 "M17NDIR" 双方のサブディレクトリ "fonts" を含むように設定される。 <a class="el" href="group__m17nFrame.html#ga8fa9ad4e45dff9703c471d4b243eb674" title="新しいフレームを作る.">mframe()</a> の最初の呼び出しの際に、この変数から実際に使用できるフォントの内部リストが作られる。 そこでアプリケーションプログラムは、mframe() を呼ぶ前に（必要ならば）この変数を変更しなくてはならない。 新しい要素を追加する場合には、その値は安全に開放できる文字列でなくてはならない。</p>
<p>m17n ライブラリが FreeType ライブラリを使うように設定されてない場合には、この変数は用いられない。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
